- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
HeapUnionFind< V, IM, Comp >::ClassIt Class Reference

## Detailed Description

### template<typename V, typename IM, typename Comp = std::less<V>>
class lemon::HeapUnionFind< V, IM, Comp >::ClassIt

The iterator stores

`#include <lemon/unionfind.h>`

## Public Member Functions
bool | operator== (const ClassIt &i)
| Equality operator. More...
bool | operator!= (const ClassIt &i)
| Inequality operator. More...

## Member Function Documentation

bool operator== | ( | const ClassIt & | i | ) |
| inline

Equality operator

bool operator!= | ( | const ClassIt & | i | ) |
| inline

Inequality operator